Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002810Piwigophotospublic2012.12.20 14:142014.08.24 18:48
ReporterTadjio 
Assigned Toplg 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.0beta3 
Target Version2.7.0RC1Fixed in Version2.7.0RC1 
Summary0002810: [Batch Manager] Predefined filter: Duplicates options
DescriptionFor some time now I have found the Batch Manager definition of "Duplicate" as very limited, as it only looks for photos with exactly the same filename.

This is a particular problem for me as I have always used Canon Digital cameras and each time I buy a new one, the filename starts again at IMG_0001.jpg so that I have many 'false' duplicates over the years.

I think it would be useful to have some (optional) additional tests:

1) To also test if the Creation Date (and Time) is the same, as well as the filename.

2) To possibly test if the Pixel Dimensions (Width and Height) are also the same.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007088)
Tadjio (reporter)
2013.07.02 00:53

Could the 4 Batch Manager requests be included in 2.6? (please)
(0007559)
svn (reporter)
2014.08.21 14:50

[Subversion] r29237 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2810: use filename+date_creation to find duplicates and not only filename.
When using several camera, you quickly have the same filenames with totally
different photos.
(0007560)
plg (manager)
2014.08.21 14:51

I only added the date_creation and not the width/height: if you have uploaded the same photo resized and original sized, it is interesting to find them as duplicates.
(0007561)
Tadjio (reporter)
2014.08.21 18:45

Pierrick, you missed my word 'optional'.
It would be great to be able to choose optional additional tests:

1) To also test if the Creation Date (and Time) is the same, as well as the filename.

2) To possibly test if the Pixel Dimensions (Width and Height) are also the same.

(Nevertheless, thanks for doing this;)
(0007562)
plg (manager)
2014.08.21 18:50

I didn't "miss" it :-) I just think it's a good idea to find duplicates on both filename+date_creation. I don't see the point of not using them both.

Adding some "options" makes the screen more complex. It must be used only if really useful.

Tell me how you would see the options in the form.
(0007563)
Tadjio (reporter)
2014.08.21 18:59
edited on: 2014.08.21 19:00

I didn't really think you just 'missed' it ;)

I think it is a good idea to have the flexibility:
0
0 + 1
0 + 2
0 + 1 + 2

I would want option 0) on occasion - same filename anywhere...

We need as simple an option screen as possible. As a compute developer I wouldn't dare to impose a desig on you, just the specification!

How about:
(*) Include Date & Time
(*) Include Width & Height

(0007565)
plg (manager)
2014.08.21 19:12

OK. Let's try something like:

x Predefined filter [Duplicates] based on file name [x] include date & time [ ] include width & height

(on a single line, first option checked by default)
(0007566)
Tadjio (reporter)
2014.08.21 19:18

Assuming it is possible to check both and that they are not mutually exclusive
that's fine by me, thanks. Go for it!
(0007567)
plg (manager)
2014.08.21 19:21

the duplicates search will always use the file name, and optionnaly date_creation and/or width&height.
(0007582)
svn (reporter)
2014.08.22 10:56

[Subversion] r29244 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2810: for duplicates filter, add "date & time" (checked by default) and "width & height" as options.

Change algorithm for a single SQL query with GROUP_CONCAT instead of 2 queries.
(0007583)
plg (manager)
2014.08.22 10:57

Tadjio, you can give a new try, with the options!

- Issue History
Date Modified Username Field Change
2012.12.20 14:14 Tadjio New Issue
2012.12.20 14:14 Tadjio browser => any
2012.12.20 14:14 Tadjio Web server => Apache 1.3.x
2013.07.02 00:53 Tadjio Note Added: 0007088
2014.08.21 14:50 svn Checkin
2014.08.21 14:50 svn Note Added: 0007559
2014.08.21 14:51 plg Note Added: 0007560
2014.08.21 14:52 plg Assigned To => plg
2014.08.21 14:52 plg Status new => closed
2014.08.21 14:52 plg Resolution open => fixed
2014.08.21 14:52 plg Fixed in Version => 2.7.0beta3
2014.08.21 14:52 plg Target Version => 2.7.0beta3
2014.08.21 18:45 Tadjio Note Added: 0007561
2014.08.21 18:45 Tadjio Status closed => feedback
2014.08.21 18:45 Tadjio Resolution fixed => reopened
2014.08.21 18:50 plg Note Added: 0007562
2014.08.21 18:59 Tadjio Note Added: 0007563
2014.08.21 19:00 Tadjio Note Edited: 0007563
2014.08.21 19:00 Tadjio Note Edited: 0007563
2014.08.21 19:12 plg Note Added: 0007565
2014.08.21 19:18 Tadjio Note Added: 0007566
2014.08.21 19:21 plg Note Added: 0007567
2014.08.22 10:56 svn Checkin
2014.08.22 10:56 svn Note Added: 0007582
2014.08.22 10:57 plg Note Added: 0007583
2014.08.24 18:48 plg Status feedback => closed
2014.08.24 18:48 plg Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker